.JetBrains-text {
  font-family: "JetBrains Mono", monospace;
  font-optical-sizing: auto;
  font-weight: 100;
  font-style: normal;
}

.syne-heading {
  font-family: "Syne", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
}

:root {
    overflow-x: hidden;
    overflow-y: hidden;
    --background-colour-dark: #262320;
    --background-colour-popout: #3a3631;
    --navbar-button-colour: orange;
}

body {
    background-color: var(--background-colour-dark);
    margin: 0;
    padding: 0;
}

body img {
    user-select: none;
    -webkit-user-select: none;
}

body h1 {
    user-select: none;
    -webkit-user-select: none;
    font-family: "Syne", sans-serif;
}

body p1, body textarea {
    user-select: none;
    -webkit-user-select: none;
    font-family: "JetBrains Mono", monospace;
}

.body-full {
    display: flex;
    width: 100vw;
    height: 100vh;
}

.navbar-main {
    display: flex;
    width: 100%;
    height: 7vh;
    position: sticky;
}

.navbar-wrapper {
    display: flex;
    width: 95%;
    height: 80%;
    margin-left: 2%;
    align-self: center;
    align-items: center;
}

.navbar-image-container {
    display: flex;
    width: 5vh;
    height: 5vh;
    margin-left: 1%;
}

.navbar-image-container img{
    background-color: orange;
}

.navbar-text-container {
    display: flex;
    width: max-content;
    height: 80%;
    margin-left: 1vh;
    align-items: center;
    user-select: none;
}

.navbar-text-container h1 {
    color: white;
    text-align: center;
    height: 100%;
    width: 100%;
}

.body-main {
    position: absolute;
    height: 90%;
    width: 100%;
    align-self: center;
    margin-top: 4%;
}

.sidebar-wrapper {
    position: absolute;
    height: 96%;
    width: 25%;
    margin-top: 13px;
}

.body-main-elements {
    position: absolute;
    height: 96%;
    width: 75%;
    margin-top: 13px;
    left: 25%;
    overflow-y: auto;
}

.main-header {
    display: flex;
    height: max-content;
    width: max-content;
    align-items: center;
    margin-left: 15%;
    margin-top: 15%;
}

.main-header h1{
    color: white;
}

.main-textbox {
    align-items: flex-start;
    width: 45vw;
    height: auto;
    min-height: 1vh;
    max-height: 130px;
    background-color: var(--background-colour-popout);
    display: flex;
    flex-direction: column;
    margin-top: 6%;
    margin-left: 5%;
    border-radius: 15px;
    transition: all 0.2s ease-in-out;
    padding: 8px 8px 8px 8px;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.main-textbox textarea {
    overflow: hidden;
    height: 3vh;
    min-height: 3vh;
    max-height: none;
    caret-color: white;
    font-size: 100%;
    box-sizing: border-box;
    margin: 0;
    padding: 4px 8px;
    border: none;
    resize: none;
    outline: none;
    background-color: transparent;
    width: 100%;
    color: white;
    flex-shrink: 0;
    line-height: 1;
    display: block;
}

.main-textbox:hover {
    box-shadow: 1px 1px 0px rgb(81, 81, 81);
}

.main-textbox:has(textarea:focus) {
    box-shadow: 1px 1px 0px rgb(81, 81, 81);
}